Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveFacade/Reference.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveFacade/Reference.cs	(revision 4987)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveFacade/Reference.cs	(revision 5000)
@@ -22,4 +22,5 @@
         [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseObjects.ResponseList<HeuristicLab.PluginInfrastructure.CachedHivePluginInfoDto>))]
         [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseObjects.ResponseCalendar))]
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseObjects.ResponseObject<HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginFile>))]
         HeuristicLab.Hive.Contracts.ResponseObjects.Response Login(HeuristicLab.Hive.Contracts.BusinessObjects.SlaveDto slave);
         
@@ -67,4 +68,5 @@
         [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseObjects.ResponseList<HeuristicLab.PluginInfrastructure.CachedHivePluginInfoDto>))]
         [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseObjects.ResponseCalendar))]
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseObjects.ResponseObject<HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginFile>))]
         HeuristicLab.Hive.Contracts.ResponseObjects.Response Logout(System.Guid clientId);
         
@@ -80,4 +82,5 @@
         [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseObjects.ResponseList<HeuristicLab.PluginInfrastructure.CachedHivePluginInfoDto>))]
         [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseObjects.ResponseCalendar))]
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseObjects.ResponseObject<HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginFile>))]
         HeuristicLab.Hive.Contracts.ResponseObjects.Response IsJobStillNeeded(System.Guid jobId);
         
@@ -109,4 +112,5 @@
         [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseObjects.ResponseList<HeuristicLab.PluginInfrastructure.CachedHivePluginInfoDto>))]
         [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseObjects.ResponseCalendar))]
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseObjects.ResponseObject<HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginFile>))]
         HeuristicLab.Hive.Contracts.ResponseObjects.Response SetCalendarStatus(System.Guid clientId, HeuristicLab.Hive.Contracts.BusinessObjects.CalendarState state);
         
@@ -186,4 +190,5 @@
         [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseObjects.ResponseList<HeuristicLab.PluginInfrastructure.CachedHivePluginInfoDto>))]
         [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseObjects.ResponseCalendar))]
+        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.ResponseObjects.ResponseObject<HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginFile>))]
         HeuristicLab.Hive.Contracts.ResponseObjects.Response DeleteChildJobs(System.Guid jobId);
         
@@ -192,4 +197,12 @@
         
         HeuristicLab.Hive.Contracts.ResponseObjects.Response EndDeleteChildJobs(System.IAsyncResult result);
+        
+        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISlaveFacade/GetConfigurationFile", ReplyAction="http://tempuri.org/ISlaveFacade/GetConfigurationFileResponse")]
+        HeuristicLab.Hive.Contracts.ResponseObjects.ResponseObject<HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginFile> GetConfigurationFile();
+        
+        [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://tempuri.org/ISlaveFacade/GetConfigurationFile", ReplyAction="http://tempuri.org/ISlaveFacade/GetConfigurationFileResponse")]
+        System.IAsyncResult BeginGetConfigurationFile(System.AsyncCallback callback, object asyncState);
+        
+        HeuristicLab.Hive.Contracts.ResponseObjects.ResponseObject<HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginFile> EndGetConfigurationFile(System.IAsyncResult result);
     }
     
@@ -561,4 +574,23 @@
     [System.Diagnostics.DebuggerStepThroughAttribute()]
     [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
+    public partial class GetConfigurationFileCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
+        
+        private object[] results;
+        
+        public GetConfigurationFileCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
+                base(exception, cancelled, userState) {
+            this.results = results;
+        }
+        
+        public HeuristicLab.Hive.Contracts.ResponseObjects.ResponseObject<HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginFile> Result {
+            get {
+                base.RaiseExceptionIfNecessary();
+                return ((HeuristicLab.Hive.Contracts.ResponseObjects.ResponseObject<HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginFile>)(this.results[0]));
+            }
+        }
+    }
+    
+    [System.Diagnostics.DebuggerStepThroughAttribute()]
+    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
     public partial class SlaveFacadeClient : System.ServiceModel.ClientBase<HeuristicLab.Hive.Slave.Communication.SlaveFacade.ISlaveFacade>, HeuristicLab.Hive.Slave.Communication.SlaveFacade.ISlaveFacade {
         
@@ -676,4 +708,10 @@
         
         private System.Threading.SendOrPostCallback onDeleteChildJobsCompletedDelegate;
+        
+        private BeginOperationDelegate onBeginGetConfigurationFileDelegate;
+        
+        private EndOperationDelegate onEndGetConfigurationFileDelegate;
+        
+        private System.Threading.SendOrPostCallback onGetConfigurationFileCompletedDelegate;
         
         public SlaveFacadeClient() {
@@ -733,4 +771,6 @@
         
         public event System.EventHandler<DeleteChildJobsCompletedEventArgs> DeleteChildJobsCompleted;
+        
+        public event System.EventHandler<GetConfigurationFileCompletedEventArgs> GetConfigurationFileCompleted;
         
         public HeuristicLab.Hive.Contracts.ResponseObjects.Response Login(HeuristicLab.Hive.Contracts.BusinessObjects.SlaveDto slave) {
@@ -1707,4 +1747,52 @@
                         jobId}, this.onEndDeleteChildJobsDelegate, this.onDeleteChildJobsCompletedDelegate, userState);
         }
+        
+        public HeuristicLab.Hive.Contracts.ResponseObjects.ResponseObject<HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginFile> GetConfigurationFile() {
+            return base.Channel.GetConfigurationFile();
+        }
+        
+        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
+        public System.IAsyncResult BeginGetConfigurationFile(System.AsyncCallback callback, object asyncState) {
+            return base.Channel.BeginGetConfigurationFile(callback, asyncState);
+        }
+        
+        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
+        public HeuristicLab.Hive.Contracts.ResponseObjects.ResponseObject<HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginFile> EndGetConfigurationFile(System.IAsyncResult result) {
+            return base.Channel.EndGetConfigurationFile(result);
+        }
+        
+        private System.IAsyncResult OnBeginGetConfigurationFile(object[] inValues, System.AsyncCallback callback, object asyncState) {
+            return this.BeginGetConfigurationFile(callback, asyncState);
+        }
+        
+        private object[] OnEndGetConfigurationFile(System.IAsyncResult result) {
+            HeuristicLab.Hive.Contracts.ResponseObjects.ResponseObject<HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginFile> retVal = this.EndGetConfigurationFile(result);
+            return new object[] {
+                    retVal};
+        }
+        
+        private void OnGetConfigurationFileCompleted(object state) {
+            if ((this.GetConfigurationFileCompleted != null)) {
+                InvokeAsyncCompletedEventArgs e = ((InvokeAsyncCompletedEventArgs)(state));
+                this.GetConfigurationFileCompleted(this, new GetConfigurationFileCompletedEventArgs(e.Results, e.Error, e.Cancelled, e.UserState));
+            }
+        }
+        
+        public void GetConfigurationFileAsync() {
+            this.GetConfigurationFileAsync(null);
+        }
+        
+        public void GetConfigurationFileAsync(object userState) {
+            if ((this.onBeginGetConfigurationFileDelegate == null)) {
+                this.onBeginGetConfigurationFileDelegate = new BeginOperationDelegate(this.OnBeginGetConfigurationFile);
+            }
+            if ((this.onEndGetConfigurationFileDelegate == null)) {
+                this.onEndGetConfigurationFileDelegate = new EndOperationDelegate(this.OnEndGetConfigurationFile);
+            }
+            if ((this.onGetConfigurationFileCompletedDelegate == null)) {
+                this.onGetConfigurationFileCompletedDelegate = new System.Threading.SendOrPostCallback(this.OnGetConfigurationFileCompleted);
+            }
+            base.InvokeAsync(this.onBeginGetConfigurationFileDelegate, null, this.onEndGetConfigurationFileDelegate, this.onGetConfigurationFileCompletedDelegate, userState);
+        }
     }
 }
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveFacade/Reference.svcmap
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveFacade/Reference.svcmap	(revision 4987)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveFacade/Reference.svcmap	(revision 5000)
@@ -19,18 +19,18 @@
   </ClientOptions>
   <MetadataSources>
-    <MetadataSource Address="http://blade12.hpc.fh-hagenberg.at:9000/SlaveService/mex" Protocol="mex" SourceId="1" />
+    <MetadataSource Address="http://localhost:9000/Hive/SlaveService.svc/mex" Protocol="mex" SourceId="1" />
   </MetadataSources>
   <Metadata>
-    <MetadataFile FileName="service1.wsdl" MetadataType="Wsdl" ID="3378e28e-2f1b-4274-bfdf-1922e827f71e" SourceId="1" SourceUrl="http://blade12.hpc.fh-hagenberg.at:9000/SlaveService/mex" />
-    <MetadataFile FileName="service2.xsd" MetadataType="Schema" ID="7efebd30-71c7-4f82-baae-cba867e54784" SourceId="1" SourceUrl="http://blade12.hpc.fh-hagenberg.at:9000/SlaveService/mex" />
-    <MetadataFile FileName="service21.xsd" MetadataType="Schema" ID="a5a5daf6-1f78-42a7-9d88-3339354d4de6" SourceId="1" SourceUrl="http://blade12.hpc.fh-hagenberg.at:9000/SlaveService/mex" />
-    <MetadataFile FileName="HeuristicLab.Hive.Contracts.BusinessObjects1.xsd" MetadataType="Schema" ID="03898186-dcc3-4c45-b304-f25deefab2d7" SourceId="1" SourceUrl="http://blade12.hpc.fh-hagenberg.at:9000/SlaveService/mex" />
-    <MetadataFile FileName="HeuristicLab.DataAccess1.xsd" MetadataType="Schema" ID="62186c45-7323-4efd-9496-a95072980415" SourceId="1" SourceUrl="http://blade12.hpc.fh-hagenberg.at:9000/SlaveService/mex" />
-    <MetadataFile FileName="HeuristicLab.Hive.Contracts.ResponseObjects1.xsd" MetadataType="Schema" ID="bdc88c01-4660-4912-abf0-9a3a921ece0d" SourceId="1" SourceUrl="http://blade12.hpc.fh-hagenberg.at:9000/SlaveService/mex" />
-    <MetadataFile FileName="HeuristicLab.Hive.Contracts1.xsd" MetadataType="Schema" ID="76d8dcc5-4911-4e88-8144-c661c29f8c8e" SourceId="1" SourceUrl="http://blade12.hpc.fh-hagenberg.at:9000/SlaveService/mex" />
-    <MetadataFile FileName="Arrays1.xsd" MetadataType="Schema" ID="9f205a9d-36bb-48d2-b0a1-1fe218e963c8" SourceId="1" SourceUrl="http://blade12.hpc.fh-hagenberg.at:9000/SlaveService/mex" />
-    <MetadataFile FileName="System1.xsd" MetadataType="Schema" ID="2738facc-921c-49ee-8403-d40bb6bab3bd" SourceId="1" SourceUrl="http://blade12.hpc.fh-hagenberg.at:9000/SlaveService/mex" />
-    <MetadataFile FileName="HeuristicLab.PluginInfrastructure1.xsd" MetadataType="Schema" ID="1cee4177-2a7a-4ab4-8d62-c6bfbb8e1f27" SourceId="1" SourceUrl="http://blade12.hpc.fh-hagenberg.at:9000/SlaveService/mex" />
-    <MetadataFile FileName="Message1.xsd" MetadataType="Schema" ID="df11619f-40b0-4bd9-90e7-e543e63e2abf" SourceId="1" SourceUrl="http://blade12.hpc.fh-hagenberg.at:9000/SlaveService/mex" />
+    <MetadataFile FileName="service.wsdl" MetadataType="Wsdl" ID="f3e3fd0b-b93c-43f5-9a4b-8db2c99811c8" SourceId="1" SourceUrl="http://localhost:9000/Hive/SlaveService.svc/mex" />
+    <MetadataFile FileName="service.xsd" MetadataType="Schema" ID="00993a56-7a70-4041-b013-708ab7726a02" SourceId="1" SourceUrl="http://localhost:9000/Hive/SlaveService.svc/mex" />
+    <MetadataFile FileName="service1.xsd" MetadataType="Schema" ID="c5100582-f834-4229-b3c7-7ea40cbd8097" SourceId="1" SourceUrl="http://localhost:9000/Hive/SlaveService.svc/mex" />
+    <MetadataFile FileName="HeuristicLab.Hive.Contracts.BusinessObjects.xsd" MetadataType="Schema" ID="0375ffac-1a48-4a81-904a-6ee4855837c5" SourceId="1" SourceUrl="http://localhost:9000/Hive/SlaveService.svc/mex" />
+    <MetadataFile FileName="HeuristicLab.DataAccess.xsd" MetadataType="Schema" ID="a4617ee4-085d-451e-a24a-cd84ead10f08" SourceId="1" SourceUrl="http://localhost:9000/Hive/SlaveService.svc/mex" />
+    <MetadataFile FileName="HeuristicLab.Hive.Contracts.ResponseObjects.xsd" MetadataType="Schema" ID="114d7792-5220-4e58-be16-588442c34cc8" SourceId="1" SourceUrl="http://localhost:9000/Hive/SlaveService.svc/mex" />
+    <MetadataFile FileName="HeuristicLab.Hive.Contracts.xsd" MetadataType="Schema" ID="9df147d1-e012-428e-8bfe-9d678cbc3828" SourceId="1" SourceUrl="http://localhost:9000/Hive/SlaveService.svc/mex" />
+    <MetadataFile FileName="Arrays.xsd" MetadataType="Schema" ID="f47c6891-5050-4183-b0df-f23d05c0d7fd" SourceId="1" SourceUrl="http://localhost:9000/Hive/SlaveService.svc/mex" />
+    <MetadataFile FileName="System.xsd" MetadataType="Schema" ID="377afdf9-e748-4e4a-81b6-2442918361e6" SourceId="1" SourceUrl="http://localhost:9000/Hive/SlaveService.svc/mex" />
+    <MetadataFile FileName="HeuristicLab.PluginInfrastructure.xsd" MetadataType="Schema" ID="b6085b4a-1c77-49e8-bb96-3aed4503c972" SourceId="1" SourceUrl="http://localhost:9000/Hive/SlaveService.svc/mex" />
+    <MetadataFile FileName="Message.xsd" MetadataType="Schema" ID="616f8543-29c1-4e9b-ac44-f39d2f3d99b1" SourceId="1" SourceUrl="http://localhost:9000/Hive/SlaveService.svc/mex" />
   </Metadata>
   <Extensions>
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveFacade/System.xsd
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveFacade/System.xsd	(revision 5000)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveFacade/System.xsd	(revision 5000)
@@ -0,0 +1,12 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<xs:schema xmlns:tns="http://schemas.datacontract.org/2004/07/System" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/System" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+  <xs:complexType name="Version">
+    <xs:sequence>
+      <xs:element name="_Build" type="xs:int" />
+      <xs:element name="_Major" type="xs:int" />
+      <xs:element name="_Minor" type="xs:int" />
+      <xs:element name="_Revision" type="xs:int" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="Version" nillable="true" type="tns:Version" />
+</xs:schema>
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveFacade/configuration91.svcinfo
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveFacade/configuration91.svcinfo	(revision 4987)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/SlaveFacade/configuration91.svcinfo	(revision 5000)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="utf-8"?>
-<SavedWcfConfigurationInformation xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" Version="9.1" CheckSum="ygqZSplkq9BrCLSoyj2N2bTZgNE=">
+<SavedWcfConfigurationInformation xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" Version="9.1" CheckSum="c66igJlRquGpk1gelnUi7bizq10=">
   <bindingConfigurations>
     <bindingConfiguration bindingType="netTcpBinding" name="SlaveTcpStreamedEndpoint">
@@ -243,8 +243,8 @@
   </bindingConfigurations>
   <endpoints>
-    <endpoint name="SlaveHttpEndpoint" contract="SlaveFacade.ISlaveFacade" bindingType="wsHttpBinding" address="http://localhost:9000/SlaveService" bindingConfiguration="SlaveHttpEndpoint">
+    <endpoint name="SlaveHttpEndpoint" contract="SlaveFacade.ISlaveFacade" bindingType="wsHttpBinding" address="http://f005pc.hagenberg.fhooe.at:9000/Hive/SlaveService.svc" bindingConfiguration="SlaveHttpEndpoint">
       <properties>
         <property path="/address" isComplexType="false" isExplicitlyDefined="true" clrType="System.Uri, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue>http://localhost:9000/SlaveService</serializedValue>
+          <serializedValue>http://f005pc.hagenberg.fhooe.at:9000/Hive/SlaveService.svc</serializedValue>
         </property>
         <property path="/behaviorConfiguration" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
@@ -297,5 +297,5 @@
         </property>
         <property path="/identity/certificate/encodedValue" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue>AwAAAAEAAAAUAAAA0FkTGjOA2/0cZmFlIwFildV5a/ogAAAAAQAAACgCAAAwggIkMIIBkaADAgECAhCcCYkXdzUDsEzY5+POfdYRMAkGBSsOAwIdBQAwJjEkMCIGA1UEAxMbYmxhZGUxMi5ocGMuZmgtaGFnZW5iZXJnLmF0MB4XDTEwMDkxNTE0MjkyNFoXDTM5MTIzMTIzNTk1OVowJjEkMCIGA1UEAxMbYmxhZGUxMi5ocGMuZmgtaGFnZW5iZXJnLmF0MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDN/VsuexELvneBS+KjIT4z1oj8VwitpZJDhCVxVM1hBVAXRJ9qE0zwFwen6KWRXKMx0wZvm47CdkENO0krsqfliQRKb0hcMin+37X8u1Xk51qebV3M0kUAEpsRT6RehQD41+iGe1GmIaLksCEYaH80wPWI7F3N/tN+5svizD0sfQIDAQABo1swWTBXBgNVHQEEUDBOgBBJWfbAcVJ+egMO9eh/uP3hoSgwJjEkMCIGA1UEAxMbYmxhZGUxMi5ocGMuZmgtaGFnZW5iZXJnLmF0ghCcCYkXdzUDsEzY5+POfdYRMAkGBSsOAwIdBQADgYEApOwttaruQRFtS8SWslEDt+aKzIUnfKrJ+7U7Fml5+QT7G4+5bXnfOs5gcWKDQyyap9y3AJpjPnGaLzwb/8LwlqKXePRQvOW44O5JLwOTo3TD4ZPKANuBblD7J7TYGyXKTUQcytfQl1uOxELWNBj4IpUEbR1C/S4RmupMivLNQoA=</serializedValue>
+          <serializedValue>AwAAAAEAAAAUAAAAfEKvcVixnJay+q4hCPFuO0JL5TQgAAAAAQAAAPIBAAAwggHuMIIBW6ADAgECAhCNN5wrUcXMmE/9xwp4TYa9MAkGBSsOAwIdBQAwFDESMBAGA1UEAxMJbG9jYWxob3N0MB4XDTEwMTAxOTEwNTMxNVoXDTM5MTIzMTIzNTk1OVowFDESMBAGA1UEAxMJbG9jYWxob3N0MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDXwC5TGcAffd/0oAWHtm0s6YXVXEgXgb1AYmBkkkhkKIFJG/e/Z0KSYbJepmSJD44W3oOAVm+x1DAsZxU79HahDYgWCuHLMm1TLpwSmYOQ0kV3pGHWHhiWV7h7oGLds/eqZ2EOpaNGryfEPnrA4VmxY91vV5/2BTeVSWG6F8lRKQIDAQABo0kwRzBFBgNVHQEEPjA8gBAR7kBnMRHO5gzThEqda0wWoRYwFDESMBAGA1UEAxMJbG9jYWxob3N0ghCNN5wrUcXMmE/9xwp4TYa9MAkGBSsOAwIdBQADgYEAoPwEG4QTDXhlxERNDfsZmM2IhEpV42ppz1kEah2oYKDa/ElIMVtvqLv6flVtg18ENN/mEJWiHZ3NyP3qr2Pip+sh+/2WBiSbOaukES/CM7OJn9kJCImH7M/xqM8pxqY8IfgM6iBVrVj9uHqj3j2BBck+cYY8fKyh3CFifMIp6ac=</serializedValue>
         </property>
         <property path="/identity/certificateReference" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.CertificateReferenceElement, System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
@@ -328,8 +328,8 @@
       </properties>
     </endpoint>
-    <endpoint name="SlaveTcpStreamedEndpoint" contract="SlaveFacade.ISlaveFacade" bindingType="netTcpBinding" address="net.tcp://localhost:9001/SlaveServiceStreamed" bindingConfiguration="SlaveTcpStreamedEndpoint">
+    <endpoint name="SlaveTcpStreamedEndpoint" contract="SlaveFacade.ISlaveFacade" bindingType="netTcpBinding" address="net.tcp://f005pc.hagenberg.fhooe.at:9001/Hive/SlaveService.svc" bindingConfiguration="SlaveTcpStreamedEndpoint">
       <properties>
         <property path="/address" isComplexType="false" isExplicitlyDefined="true" clrType="System.Uri, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue>net.tcp://localhost:9001/SlaveServiceStreamed</serializedValue>
+          <serializedValue>net.tcp://f005pc.hagenberg.fhooe.at:9001/Hive/SlaveService.svc</serializedValue>
         </property>
         <property path="/behaviorConfiguration" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
@@ -370,5 +370,5 @@
         </property>
         <property path="/identity/dns/value" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue>blade12.hpc.fh-hagenberg.at</serializedValue>
+          <serializedValue>localhost</serializedValue>
         </property>
         <property path="/identity/rsa" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.RsaElement, System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
